Web lists-archives.com

Re: RFP: rethinkdb -- scalable document database with push support




Hi,

I've commited a first rough packaging attemt for rethinkdb to Salsa[1].
It should be no means maintained by the Debian Med team but since it is
a predependency of my final target augur[2] I simply started in the med
team space on salsa.  I'd be happy if any volunteer would pick up this
work and continue - may be with packaging some missing Build-Depends.

This excerpt from the build log shows some open issues:

make[1]: Entering directory '/build/rethinkdb-2.3.6'
BROWSERIFY=/usr/bin/browserify-lite ./configure
* Detecting system configuration
Bash:                           5.0.2(1)-release
Use ccache:                     no
C++ Compiler:                   GCC 8.2.0 (/usr/bin/c++)
Host System:                    x86_64-linux-gnu
Build System:                   Linux 4.19.0-2-amd64 x86_64
Cross-compiling:                no
Host Operating System:          Linux
Build Architecture:             x86_64
C++11:                          ok
Precompiled web assets:         no
Protobuf compiler:              /usr/bin/protoc
python:                         python 2.7.15
Node.js package manager:        /usr/bin/npm
coffee:                         coffee 1.12.8
Browserify:                     For Debian packaging we are using /usr/bin/browserify-lite which does not report any version - just accept for a moment
browserify 0.5.0
bluebird:                       external/bluebird_2.9.32
web UI dependencies:            external/admin-deps_2.0.3
wget:                           no
curl:                           no
Google Test:                    external/gtest_1.7.0
termcap:                        no
boost_system:                   no
protobuf:                       -lprotobuf
v8 javascript engine:           external/v8_3.30.33.16-patched2
RE2:                            external/re2_20140111
z:                              -lz
crypto:                         -lcrypto
ssl:                            -lssl
curl:                           -lcurl
malloc:                         jemalloc
jemalloc (static):              /usr/lib/x86_64-linux-gnu/libjemalloc.a
Test protobuf:                  ok
Test boost:                     ok
Test OpenSSL:                   ok
Installation prefix:            /usr/local
Configuration prefix:           /usr/local/etc
Runtime data prefix:            /usr/local/var
* Wrote configuration to config.mk
make[1]: Leaving directory '/build/rethinkdb-2.3.6'
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/rethinkdb-2.3.6'
dh_auto_build -- DEBUG= PVERSION=2.3.6 VERBOSE=1 SYMBOLS=1
<------>make -j4 DEBUG= PVERSION=2.3.6 VERBOSE=1 SYMBOLS=1
make[2]: Entering directory '/build/rethinkdb-2.3.6'
./scripts/gen-version.sh: Warning: could not determine the version, using the default version '2.3.6-fallback'
./scripts/gen-version.sh: Warning: could not determine the version, using the default version '2.3.6-fallback'
mkdir -p build/drivers/javascript/coffee/.
mkdir -p build/drivers/javascript/.
TRACE=1  WGET=''  CURL=''  NPM='/usr/bin/npm'  OS='Linux'  FETCH_LIST=' bluebird admin-deps gtest v8 re2'  BUILD_ROOT_DIR='./build'  PTHREAD_LIBS='-pthread'  CROSS_COMPILING='0'  CXX='/usr/bin/c++' MAKEFLAGS=' '
mkdir -p build/release/web_assets/.
TRACE=1  WGET=''  CURL=''  NPM='/usr/bin/npm'  OS='Linux'  FETCH_LIST=' bluebird admin-deps gtest v8 re2'  BUILD_ROOT_DIR='./build'  PTHREAD_LIBS='-pthread'  CROSS_COMPILING='0'  CXX='/usr/bin/c++' MAKEFLAGS=' '
TRACE=1  WGET=''  CURL=''  NPM='/usr/bin/npm'  OS='Linux'  FETCH_LIST=' bluebird admin-deps gtest v8 re2'  BUILD_ROOT_DIR='./build'  PTHREAD_LIBS='-pthread'  CROSS_COMPILING='0'  CXX='/usr/bin/c++' MAKEFLAGS=' '
mkdir -p build/proto/.
TRACE=1  WGET=''  CURL=''  NPM='/usr/bin/npm'  OS='Linux'  FETCH_LIST=' bluebird admin-deps gtest v8 re2'  BUILD_ROOT_DIR='./build'  PTHREAD_LIBS='-pthread'  CROSS_COMPILING='0'  CXX='/usr/bin/c++' MAKEFLAGS=' '


There are some external dependencies (bluebird, admin-deps, re2) which
are not packaged for Debian yet and the dependencies gtest and v8 are
not properly found by the configure script.  Most probably also
browserify needs to be packaged - I have no hope that my hack[3] to
accept browserify-lite by the configure script will turn out successful
later.

Any volunteer?

Kind regards

        Andreas.


[1] https://salsa.debian.org/med-team/rethinkdb
[2] https://github.com/nextstrain/augur
[3] https://salsa.debian.org/med-team/rethinkdb/blob/master/debian/patches/accept_node-browserify-lite.patch

-- 
http://fam-tille.de